package com.huigou.topsun.sap.productScrapApply.domain.query;

import com.huigou.data.domain.query.QueryAbstractRequest;
import lombok.Data;


/**
 * @Auther: xin.lu
 * @Date: 2024/07/09/14:47
 * @Description: 物品报废申请与过账平台
 */
@Data
public class ProductScrapApplyQueryRequest extends QueryAbstractRequest {

    private String productScrapApplyId;
    /**
     * 项目
     */
    private String zsapos;

    /**
     * 物料
     */
    private String matnr;

    /**
     * 数量
     */
    private String erfmg;

    /**
     * 单位
     */
    private String erfme;

    /**
     * 工厂
     */
    private String werks;

    /**
     * 存储地点
     */
    private String lgort;

    /**
     * 成本中心
     */
    private String kostl;

    /**
     * 批次
     */
    private String charg;

    /**
     * 序列号/PL号
     */
    private String sernr;

    /**
     * 文本
     */
    private String ztxt;

    /**
     * 报废申请号
     */
    private String zsanum;
}
